import ApolloClient from 'apollo-client';
import { KikstartGraphQLClientConfig } from './kikstart-apollo-client';
import { WebSocketLink } from 'apollo-link-ws';
import { SubscriptionClient } from 'subscriptions-transport-ws';
import { ApolloLink } from 'apollo-link';
import { InMemoryCache } from 'apollo-cache-inmemory';
export declare class GraphQLClient {
    private config;
    apollo: ApolloClient<InMemoryCache | any>;
    httpLink: ApolloLink;
    wsClient: SubscriptionClient;
    wsLink: WebSocketLink;
    constructor(config: KikstartGraphQLClientConfig);
    query(query: any): any;
    runQuery(query: any, variables?: {}): Promise<import("apollo-client").ApolloQueryResult<any>>;
    runMutation(mutation: any, variables?: {}): Promise<import("apollo-link").FetchResult<any, Record<string, any>, Record<string, any>>>;
    runSubscription(query: any, variables?: {}): import("apollo-client/util/Observable").Observable<import("apollo-link").FetchResult<any, Record<string, any>, Record<string, any>>>;
    disconnect(): void;
}
